function onBegin()
	disableMovement()
	disableRetry()
	playMusic("event:/none",0)
	walkTo(5688)
	say("CC_Deltarune_EmptyDiskA")
	say("CC_Deltarune_EmptyDiskB")
	playSound("event:/CC/CC_Deltarune/CC_Deltarune_ominous")
	wait(1)
	say("CC_Deltarune_EmptyDiskC")
	playMusic("event:/CC/CC_Deltarune/CC_Deltarune_digitalroots")
	setFlag("EmptyDiskInserted",true)
end

function onEnd()
	playMusic("event:/CC/CC_Deltarune/CC_Deltarune_digitalroots")
	setFlag("EmptyDiskInserted",true)
	setFlag("EmptyDiskOnGround",false)
	enableMovement()
	enableRetry()
end